Mailinglist Archive: opensuse-updates (121 mails)

< Previous Next >
openSUSE-SU-2017:0446-1: moderate: Security update for libxml2
openSUSE Security Update: Security update for libxml2
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:0446-1
Rating: moderate
References: #1005544 #1010675 #1013930 #1014873 #1017497

Cross-References: CVE-2016-4658 CVE-2016-9318 CVE-2016-9597

Affected Products:
openSUSE Leap 42.2
______________________________________________________________________________

An update that solves three vulnerabilities and has two
fixes is now available.

Description:

This update for libxml2 fixes the following issues:

* CVE-2016-4658: use-after-free error could lead to crash [bsc#1005544]
* Fix NULL dereference in xpointer.c when in recovery mode [bsc#1014873]
* CVE-2016-9597: An XML document with many opening tags could have caused
a overflow of the stack not detected by the recursion limits, allowing
for DoS (bsc#1017497).

For CVE-2016-9318 we decided not to ship a fix since it can break existing
setups. Please take appropriate actions if you parse untrusted XML files
and use the new -noxxe flag if possible (bnc#1010675, bnc#1013930).

This update was imported from the SUSE:SLE-12-SP2:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-244=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.2 (i586 x86_64):

libxml2-2-2.9.4-3.1
libxml2-2-debuginfo-2.9.4-3.1
libxml2-debugsource-2.9.4-3.1
libxml2-devel-2.9.4-3.1
libxml2-tools-2.9.4-3.1
libxml2-tools-debuginfo-2.9.4-3.1
python-libxml2-2.9.4-3.1
python-libxml2-debuginfo-2.9.4-3.1
python-libxml2-debugsource-2.9.4-3.1

- openSUSE Leap 42.2 (noarch):

libxml2-doc-2.9.4-3.1

- openSUSE Leap 42.2 (x86_64):

libxml2-2-32bit-2.9.4-3.1
libxml2-2-debuginfo-32bit-2.9.4-3.1
libxml2-devel-32bit-2.9.4-3.1


References:

https://www.suse.com/security/cve/CVE-2016-4658.html
https://www.suse.com/security/cve/CVE-2016-9318.html
https://www.suse.com/security/cve/CVE-2016-9597.html
https://bugzilla.suse.com/1005544
https://bugzilla.suse.com/1010675
https://bugzilla.suse.com/1013930
https://bugzilla.suse.com/1014873
https://bugzilla.suse.com/1017497


< Previous Next >
This Thread
  • No further messages